curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userCount": 42,
"activeCardCount": 38,
"treasuryAvailable": 10000000,
"treasuryPending": 25000,
"pendingDeposits": 3,
"from": "2026-07-01T00:00:00.000Z",
"to": "2026-08-26T12:00:00.000Z",
"transactionsLast30Days": 156,
"spendLast30Days": 482075
}Get business overview
Snapshot of your business: user and card counts, treasury balance, pending deposits, and completed card spend for the selected period. Omit from/to to default to the last 30 days.
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/reports/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"userCount": 42,
"activeCardCount": 38,
"treasuryAvailable": 10000000,
"treasuryPending": 25000,
"pendingDeposits": 3,
"from": "2026-07-01T00:00:00.000Z",
"to": "2026-08-26T12:00:00.000Z",
"transactionsLast30Days": 156,
"spendLast30Days": 482075
}Authorizations
Bearer JWT issued to your business account during onboarding
Query Parameters
Start of the range (UTC). A date like 2026-07-08 starts at the beginning of that day. A full timestamp is used as the exact start time and is included.
"2026-06-01"
End of the range (UTC). A date like 2026-07-08 includes that whole day. A full timestamp is the exact end time and is not included, so back-to-back ranges do not overlap. Defaults to now.
"2026-07-01"
Response
42
38
Treasury available balance in cents
10000000
Treasury pending balance in cents
25000
3
Start of the spend window used for transactionsLast30Days / spendLast30Days
"2026-07-01T00:00:00.000Z"
End of the spend window used for transactionsLast30Days / spendLast30Days
"2026-08-26T12:00:00.000Z"
Completed card transactions in the selected period (defaults to last 30 days when from/to omitted)
156
Total spend in cents for the selected period (defaults to last 30 days when from/to omitted)
482075